unit TargetUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, AppWinFix;

type
  TTargetForm = class(TCustomMainForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  TargetForm: TTargetForm;

implementation

{$R *.dfm}

uses Unit1;

procedure TTargetForm.Button1Click(Sender: TObject);
begin
  if Assigned(TargetSubForm) then begin
    TargetSubForm.WindowState := wsNormal;
  end else begin
    TargetSubForm := TTargetSubForm.Create(Self, Self.Handle);
    TargetSubForm.Left := Self.Left + 100;
    TargetSubForm.Top := Self.Top + 100;
  end;
  TargetSubForm.Show;
end;

procedure TTargetForm.Button2Click(Sender: TObject);
begin
  Self.WindowState := wsMinimized;
end;

end.
